BufferPrinter1_7 (jEdit API Documentation)
Date: 2017-03-18

org.gjt.sp.jedit.print

## Class BufferPrinter1_7

- java.lang.Object
- - org.gjt.sp.jedit.print.BufferPrinter1_7

-     public class BufferPrinter1_7
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferPrinter1_7()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.awt.print.PageFormat` | `getDefaultPageFormat(javax.print.attribute.PrintRequestAttributeSet attributes)`
    `static java.util.HashMap<java.lang.Integer,Range>` | `getPageRanges(View view, Buffer buffer, javax.print.attribute.PrintRequestAttributeSet attributes)` This is intended for use by classes that need to know the page ranges of the buffer.
    `static void` | `pageSetup(View view)` Shows the printer dialog with the page setup tab active, other tabs inactive.
    `static void` | `print(View view, Buffer buffer)`
    `protected static void` | `printPage(PrintPreviewModel model)` This is intended for use by the PrintPreview dialog.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferPrinter1_7

          public BufferPrinter1_7()

  - ### Method Detail

    - #### pageSetup

          public static void pageSetup(View view)

      Shows the printer dialog with the page setup tab active, other tabs inactive.
      Parameters:
        `view` - The parent view for the dialog.

    - #### print

          public static void print(View view,
                                   Buffer buffer)

    - #### printPage

          protected static void printPage(PrintPreviewModel model)

      This is intended for use by the PrintPreview dialog.

    - #### getPageRanges

          public static java.util.HashMap<java.lang.Integer,Range> getPageRanges(View view,
                                                                                 Buffer buffer,
                                                                                 javax.print.attribute.PrintRequestAttributeSet attributes)

      This is intended for use by classes that need to know the page ranges of the buffer.

    - #### getDefaultPageFormat

          public static java.awt.print.PageFormat getDefaultPageFormat(javax.print.attribute.PrintRequestAttributeSet attributes)